petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMLocalToGlobalBeginDefaultShell

Uses the LocalToGlobal VecScatter context set by the user to begin a local to global scatter Collective

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMLocalToGlobalBeginDefaultShell(DM dm,Vec l,InsertMode mode,Vec g)

### Input Arguments

| dm | - shell DM Many br
| l | - local vector Many br
| mode | - InsertMode Many br
| g | - global vector Many br

Many br

Note: This is not normally called directly by user code, generally user code calls DMLocalToGlobalBegin() and DMLocalToGlobalEnd(). If the user provides their own custom routines to DMShellSetLocalToGlobal() then those routines might have reason to call this function. Many br

### See Also

DMLocalToGlobalEndDefaultShell()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages